package com.xuqm.server.appmanager.entitys.sys.v1;

import com.xuqm.server.appmanager.entitys.converter.AbstractBaseTimeEntity;
import com.xuqm.server.appmanager.enums.AppStatus;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Data;

@Entity
@Table(name = "release")
@Data
public class ReleaseEntity extends AbstractBaseTimeEntity {
    private String appId;
    private AppStatus huawei;
    private AppStatus xiaomi;
    private AppStatus meizu;
    private AppStatus rongyao;
    private AppStatus oppo;
    private AppStatus vivo;
    private AppStatus google;
    private String url;
    private String versionCode;
    private String versionName;
}
