package com.xuqm.server.appmanager.enums;

public enum AppType {
    UNKNOWN(0),IM(1), APP(2) ;
    private int type = -1;

    AppType(final int type) {
        this.type = type;
    }

    public int type() {
        return this.type;
    }

    public static AppType getType(final int type) {
        for (final AppType value : AppType.values()) {
            if (value.type == type) {
                return value;
            }
        }
        return UNKNOWN;
    }
}
