package com.xuqm.server.appmanager.interceptor;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class InterceptorConfig implements WebMvcConfigurer {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new JWTInterceptor())
                //其他接口token验证
                .addPathPatterns("/**")
                //所有用户都放心
                .excludePathPatterns("/tenant/create","/user/v1/login","/hello/**");
    }
}

