package com.xuqm.server.appmanager.enums;

public enum AppStatus {
    // 不需要发布、没有上传安装包、已上传待审核、审核完成待发布、已发布
    NOT(0),ABSENT(1), AUDIT(2), WAIT(3), RELEASE(4) ;
    private int status = 0;

    AppStatus(final int status) {
        this.status = status;
    }

    public int status() {
        return this.status;
    }

    public static AppStatus getStatus(final int status) {
        for (final AppStatus value : AppStatus.values()) {
            if (value.status == status) {
                return value;
            }
        }
        return NOT;
    }
}
