package com.xuqm.server.appmanager.http;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class HttpResult<T> {
    /**
     * "code": 200
     * "message": "success"
     * data :
     */

    private int code;
    private String msg;
    private T data;

    public HttpResult(int code, String msg, T data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }
}
