package com.xuqm.server.appmanager.repository.sys.v1;

import com.xuqm.server.appmanager.entitys.sys.v1.ApplicationEntity;
import com.xuqm.server.appmanager.enums.AppType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ApplicationRepository extends JpaRepository<ApplicationEntity, Long> {
    ApplicationEntity findFirstByAppNameAndTenantNo(String appName, String tenantNo);
    List<ApplicationEntity> findAllByTenantNo(String tenantNo);
    boolean existsByAppId(String appId);
}
