package com.xuqm.server.appmanager.repository.sys.v1;

import com.xuqm.server.appmanager.entitys.sys.v1.TenantEntity;
import com.xuqm.server.appmanager.entitys.sys.v1.TenantUserEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface TenantUserRepository extends JpaRepository<TenantUserEntity, Long> {
    TenantUserEntity findFirstByUserEmailOrUserPhone(String userEmail, String userPhone);
    TenantUserEntity findFirstByUserEmailAndUserPwd(String userEmail, String userPwd);

}
